Bug 46095 - various trivial fixes
Summary: various trivial fixes
Status: RESOLVED FIXED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: 1.5
Hardware: Other All
: medium trivial
Assignee: Simon McVittie
QA Contact: John (J5) Palmieri
URL: http://cgit.freedesktop.org/~smcv/dbu...
Whiteboard:
Keywords: patch
Depends on:
Blocks: dbus-1.5
  Show dependency treegraph
 
Reported: 2012-02-15 04:24 UTC by Simon McVittie
Modified: 2012-02-21 07:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
[PATCH 01/10] _dbus_verbose_real: tidy conditional prototype to not break nesting (1.16 KB, patch)
2012-02-15 04:25 UTC, Simon McVittie
Details | Splinter Review
[PATCH 02/10] Remove declaration of _dbus_type_is_fixed, no longer exists (1.04 KB, patch)
2012-02-15 04:25 UTC, Simon McVittie
Details | Splinter Review
[PATCH 03/10] Add a macro to centralize checking for string-like types (1.73 KB, patch)
2012-02-15 04:25 UTC, Simon McVittie
Details | Splinter Review
[PATCH 04/10] internal_bus_get: centralize error handling (2.38 KB, patch)
2012-02-15 04:26 UTC, Simon McVittie
Details | Splinter Review
[PATCH 05/10] Invoke PKG_PROG_PKG_CONFIG early in configure.ac (763 bytes, patch)
2012-02-15 04:26 UTC, Simon McVittie
Details | Splinter Review
[PATCH 06/10] Do not AC_SUBST systemd flags from PKG_CHECK_MODULES (723 bytes, patch)
2012-02-15 04:27 UTC, Simon McVittie
Details | Splinter Review
[PATCH 07/10] Zero-initialize DBusCounter at allocation (1.10 KB, patch)
2012-02-15 04:27 UTC, Simon McVittie
Details | Splinter Review
[PATCH 08/10] DBusTransport: don't use dbus-message-private.h (778 bytes, patch)
2012-02-15 04:28 UTC, Simon McVittie
Details | Splinter Review
[PATCH 09/10] Move _dbus_check_fdleaks_enter to dbus-message-internal.h (2.17 KB, patch)
2012-02-15 04:28 UTC, Simon McVittie
Details | Splinter Review
[PATCH 10/10] DBusTransport: don't include dbus-marshal-header.h either (715 bytes, patch)
2012-02-15 04:28 UTC, Simon McVittie
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2012-02-15 04:24:54 UTC
Various patches I've accumulated are too small to deserve their own bug.

(In addition, the one patch remaining on Bug #37286 fixes compiler warnings on recent gcc; review would be appreciated so I can stop applying -Wno-unused-value.)
Comment 1 Simon McVittie 2012-02-15 04:25:19 UTC
Created attachment 57080 [details] [review]
[PATCH 01/10] _dbus_verbose_real: tidy conditional prototype to not  break nesting

The mismatched opening parenthesis caused vim syntax highlighting to
consider every subsequent brace in the file to be an error, which was
pretty annoying.
Comment 2 Simon McVittie 2012-02-15 04:25:43 UTC
Created attachment 57081 [details] [review]
[PATCH 02/10] Remove declaration of _dbus_type_is_fixed, no longer  exists
Comment 3 Simon McVittie 2012-02-15 04:25:54 UTC
Created attachment 57082 [details] [review]
[PATCH 03/10] Add a macro to centralize checking for string-like  types
Comment 4 Simon McVittie 2012-02-15 04:26:19 UTC
Created attachment 57083 [details] [review]
[PATCH 04/10] internal_bus_get: centralize error handling
Comment 5 Simon McVittie 2012-02-15 04:26:41 UTC
Created attachment 57084 [details] [review]
[PATCH 05/10] Invoke PKG_PROG_PKG_CONFIG early in configure.ac

Otherwise, autoconf can generate wrong code, because our first use of
PKG_CHECK_MODULES is conditional.
Comment 6 Simon McVittie 2012-02-15 04:27:27 UTC
Created attachment 57085 [details] [review]
[PATCH 06/10] Do not AC_SUBST systemd flags from PKG_CHECK_MODULES

They're automatically substituted already.
Comment 7 Simon McVittie 2012-02-15 04:27:51 UTC
Created attachment 57086 [details] [review]
[PATCH 07/10] Zero-initialize DBusCounter at allocation
Comment 8 Simon McVittie 2012-02-15 04:28:13 UTC
Created attachment 57087 [details] [review]
[PATCH 08/10] DBusTransport: don't use dbus-message-private.h

It seems it's no longer needed here.
Comment 9 Simon McVittie 2012-02-15 04:28:34 UTC
Created attachment 57088 [details] [review]
[PATCH 09/10] Move _dbus_check_fdleaks_enter to  dbus-message-internal.h

This means the bus test can use them without needing
dbus-message-private.h, reducing its view of message internals.
Comment 10 Simon McVittie 2012-02-15 04:28:50 UTC
Created attachment 57089 [details] [review]
[PATCH 10/10] DBusTransport: don't include dbus-marshal-header.h  either

No longer needed.
Comment 11 Guillaume Desmottes 2012-02-20 05:52:32 UTC
Comment on attachment 57080 [details] [review]
[PATCH 01/10] _dbus_verbose_real: tidy conditional prototype to not  break nesting

Review of attachment 57080 [details] [review]:
-----------------------------------------------------------------

++
Comment 12 Guillaume Desmottes 2012-02-20 05:52:49 UTC
Comment on attachment 57081 [details] [review]
[PATCH 02/10] Remove declaration of _dbus_type_is_fixed, no longer  exists

Review of attachment 57081 [details] [review]:
-----------------------------------------------------------------

++
Comment 13 Guillaume Desmottes 2012-02-20 05:53:26 UTC
Comment on attachment 57082 [details] [review]
[PATCH 03/10] Add a macro to centralize checking for string-like  types

Review of attachment 57082 [details] [review]:
-----------------------------------------------------------------

++
Comment 14 Guillaume Desmottes 2012-02-20 05:55:52 UTC
Comment on attachment 57083 [details] [review]
[PATCH 04/10] internal_bus_get: centralize error handling

Review of attachment 57083 [details] [review]:
-----------------------------------------------------------------

++
Comment 15 Guillaume Desmottes 2012-02-20 05:56:36 UTC
Comment on attachment 57084 [details] [review]
[PATCH 05/10] Invoke PKG_PROG_PKG_CONFIG early in configure.ac

Review of attachment 57084 [details] [review]:
-----------------------------------------------------------------

I trust you on this.
Comment 16 Guillaume Desmottes 2012-02-20 05:57:28 UTC
Comment on attachment 57085 [details] [review]
[PATCH 06/10] Do not AC_SUBST systemd flags from PKG_CHECK_MODULES

Review of attachment 57085 [details] [review]:
-----------------------------------------------------------------

++
Comment 17 Guillaume Desmottes 2012-02-20 05:57:53 UTC
Comment on attachment 57086 [details] [review]
[PATCH 07/10] Zero-initialize DBusCounter at allocation

Review of attachment 57086 [details] [review]:
-----------------------------------------------------------------

++
Comment 18 Guillaume Desmottes 2012-02-20 05:58:20 UTC
Comment on attachment 57087 [details] [review]
[PATCH 08/10] DBusTransport: don't use dbus-message-private.h

Review of attachment 57087 [details] [review]:
-----------------------------------------------------------------

++
Comment 19 Guillaume Desmottes 2012-02-20 05:59:08 UTC
Comment on attachment 57088 [details] [review]
[PATCH 09/10] Move _dbus_check_fdleaks_enter to  dbus-message-internal.h

Review of attachment 57088 [details] [review]:
-----------------------------------------------------------------

++
Comment 20 Guillaume Desmottes 2012-02-20 05:59:25 UTC
Comment on attachment 57089 [details] [review]
[PATCH 10/10] DBusTransport: don't include dbus-marshal-header.h  either

Review of attachment 57089 [details] [review]:
-----------------------------------------------------------------

++
Comment 21 Simon McVittie 2012-02-21 07:07:12 UTC
All merged, thanks. 1.5.10


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.